<template>
 
     
  <VueSlickCarousel
    :dots="true"
    :arrows="false"
    :infinite="true"
    :autoplay="true"
    :speed="1500"
    :autoplaySpeed="5000"
  >
    <div
      v-for="(project, index) in projects"
      :key="index"
      class="p-0 h-full"
    >
      <div :class="project.color" class="flex  flex-col h-full">
            <p class="text-md text-center self-center text-white mt-6 px-6 font-bold">Projects, I completed in Web development.</p>
  
            <p class="text-md text-white mt-4 md:mx-16 px-6 py-2 font-semibold "># 0{{index+1}}</p>
        <div class="w-full self-center lg:w-8/12 overflow-hidden xl:w-10/12">
          <img :src="project.img" alt="j" />
        </div>
        
        <div class="flex md:justify-between px-6 md:px-16 lg:-mt-24 pb-16">
          <div class="flex flex-col">
            <p class="text-sm text-white">{{ project.projectCategory }}</p>
            <h1 class="font-bold float-left text-lg text-white">
              {{ project.projectTitle }}
            </h1>
          </div>

          <div class="flex float-right ">
      				<nuxt-link to="/"  data-tippy-content="@github_handle"><svg class="h-8 fill-current text-white hover:text-gray-400 mx-5" role="img" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><title>GitHub</title><path d="M12 .297c-6.63 0-12 5.373-12 12 0 5.303 3.438 9.8 8.205 11.385.6.113.82-.258.82-.577 0-.285-.01-1.04-.015-2.04-3.338.724-4.042-1.61-4.042-1.61C4.422 18.07 3.633 17.7 3.633 17.7c-1.087-.744.084-.729.084-.729 1.205.084 1.838 1.236 1.838 1.236 1.07 1.835 2.809 1.305 3.495.998.108-.776.417-1.305.76-1.605-2.665-.3-5.466-1.332-5.466-5.93 0-1.31.465-2.38 1.235-3.22-.135-.303-.54-1.523.105-3.176 0 0 1.005-.322 3.3 1.23.96-.267 1.98-.399 3-.405 1.02.006 2.04.138 3 .405 2.28-1.552 3.285-1.23 3.285-1.23.645 1.653.24 2.873.12 3.176.765.84 1.23 1.91 1.23 3.22 0 4.61-2.805 5.625-5.475 5.92.42.36.81 1.096.81 2.22 0 1.606-.015 2.896-.015 3.286 0 .315.21.69.825.57C20.565 22.092 24 17.592 24 12.297c0-6.627-5.373-12-12-12"/></svg></nuxt-link>
      				<nuxt-link to="/"  data-tippy-content="@dribble_handle"><svg class="h-8 fill-current text-white mx-5" role="img" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><title>Dribbble</title><path d="M12 24C5.385 24 0 18.615 0 12S5.385 0 12 0s12 5.385 12 12-5.385 12-12 12zm10.12-10.358c-.35-.11-3.17-.953-6.384-.438 1.34 3.684 1.887 6.684 1.992 7.308 2.3-1.555 3.936-4.02 4.395-6.87zm-6.115 7.808c-.153-.9-.75-4.032-2.19-7.77l-.066.02c-5.79 2.015-7.86 6.025-8.04 6.4 1.73 1.358 3.92 2.166 6.29 2.166 1.42 0 2.77-.29 4-.814zm-11.62-2.58c.232-.4 3.045-5.055 8.332-6.765.135-.045.27-.084.405-.12-.26-.585-.54-1.167-.832-1.74C7.17 11.775 2.206 11.71 1.756 11.7l-.004.312c0 2.633.998 5.037 2.634 6.855zm-2.42-8.955c.46.008 4.683.026 9.477-1.248-1.698-3.018-3.53-5.558-3.8-5.928-2.868 1.35-5.01 3.99-5.676 7.17zM9.6 2.052c.282.38 2.145 2.914 3.822 6 3.645-1.365 5.19-3.44 5.373-3.702-1.81-1.61-4.19-2.586-6.795-2.586-.825 0-1.63.1-2.4.285zm10.335 3.483c-.218.29-1.935 2.493-5.724 4.04.24.49.47.985.68 1.486.08.18.15.36.22.53 3.41-.43 6.8.26 7.14.33-.02-2.42-.88-4.64-2.31-6.38z"/></svg></nuxt-link>

          </div>

        </div>
      </div>
    </div>
  </VueSlickCarousel>
 
</template>

<script>
import img1 from "../../assets/svgs/desktop.png";
import VueSlickCarousel from "vue-slick-carousel";
import "vue-slick-carousel/dist/vue-slick-carousel.css";
// optional style for arrows & dots
import "vue-slick-carousel/dist/vue-slick-carousel-theme.css";

export default {
  name: "WebApp",
  components: { VueSlickCarousel },

  data() {
    return {
      projects: [
        {
          projectTitle: "Web application",
          projectCategory: "GoPro - web app for portfolio",
          img: img1,
          color : "bg-red-400"
        },
                {
          projectTitle: "Web application 1",
          projectCategory: "GoPro - web app for portfolio",
          img: img1,
          color : "bg-indigo-400"
        },

      ],
    };
  },
};
</script>

<style></style>